Upstream information

CVE-2013-0485 at MITRE

Description

Unspecified vulnerability in IBM Java SDK 7 before SR4-FP1, 6 before SR13-FP1, 5.0 before SR16-FP1, and 1.4.2 before SR13-FP16 has unknown impact and attack vectors related to Class Libraries.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 813939 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Legacy Software 12
  • java-1_6_0-ibm >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.1-5.9
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 12 GA java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP2
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.18-0.4.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.18-0.4.1
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr15.0-0.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
  • java-1_7_0-ibm >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr4.1-0.5.1
Patchnames:
slessp2-java-1_4_2-ibm
slessp2-java-1_6_0-ibm
slessp2-java-1_7_0-ibm
SUSE Linux Enterprise Server 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
  • java-1_7_0-ibm >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr4.1-0.5.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP3 GA java-1_7_0-ibm
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.18-0.4.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.18-0.4.1
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr15.0-0.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
  • java-1_7_0-ibm >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr4.1-0.5.1
Patchnames:
slessp2-java-1_4_2-ibm
slessp2-java-1_6_0-ibm
slessp2-java-1_7_0-ibm
SUSE Linux Enterprise Server for VMWare 11 SP2
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.18-0.4.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.18-0.4.1
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr15.0-0.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
  • java-1_7_0-ibm >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr4.1-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr4.1-0.5.1
Patchnames:
slessp2-java-1_4_2-ibm
slessp2-java-1_6_0-ibm
slessp2-java-1_7_0-ibm
SUSE Linux Enterprise Software Development Kit 11 SP2
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.16-0.2.1
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr4.1-0.5.1
Patchnames:
sdksp2-java-1_4_2-ibm
sdksp2-java-1_6_0-ibm
sdksp2-java-1_7_0-ibm
SUSE Linux Enterprise Software Development Kit 11 SP2
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
Builds
SAT Patch Nr: 7627
SUSE Linux Enterprise Software Development Kit 11 SP2
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.9.1
Builds
SAT Patch Nr: 7627
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
Builds
SAT Patch Nr: 7627
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
Builds
SAT Patch Nr: 7627
SUSE Linux Enterprise Server 11 SP2
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
Builds
SAT Patch Nr: 7627
SUSE Linux Enterprise Software Development Kit 11 SP2
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.16-0.2.1
Builds
SAT Patch Nr: 7618
SUSE Linux Enterprise Software Development Kit 11 SP2
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.16-0.2.1
Builds
SAT Patch Nr: 7618
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.16-0.2.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.16-0.2.1
Builds
SAT Patch Nr: 7618
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.2.1
Builds
SAT Patch Nr: 7618
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.14.1
Builds
ZYPP Patch Nr: 8544
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-64bit >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.14.1
Builds
ZYPP Patch Nr: 8544
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-32bit >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-devel-32bit >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.14.1
Builds
ZYPP Patch Nr: 8544
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-32bit >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-alsa-32bit >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-devel-32bit >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.14.1
  • java-1_6_0-ibm-plugin-32bit >= 1.6.0_sr13.1-0.14.1
Builds
ZYPP Patch Nr: 8544
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • java-1_5_0-ibm >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-alsa >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-demo >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-src >= 1.5.0_sr16.1-0.5.1
Builds
ZYPP Patch Nr: 8542
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • java-1_5_0-ibm >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-alsa-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-demo >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-src >= 1.5.0_sr16.1-0.5.1
Builds
ZYPP Patch Nr: 8542
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_5_0-ibm >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-alsa >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr16.1-0.5.1
Builds
ZYPP Patch Nr: 8542
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_5_0-ibm >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-64bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr16.1-0.5.1
Builds
ZYPP Patch Nr: 8542
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • java-1_5_0-ibm >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.1-0.5.1
Builds
ZYPP Patch Nr: 8542
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
  • java-1_5_0-ibm >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-alsa-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr16.1-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.1-0.5.1
Builds
ZYPP Patch Nr: 8542
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.5.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.16-0.5.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.16-0.5.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.16-0.5.1
Builds
ZYPP Patch Nr: 8543
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.5.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.16-0.5.1
Builds
ZYPP Patch Nr: 8543
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_4_2-ibm >= 1.4.2_sr13.16-0.5.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.16-0.5.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.16-0.5.1
Builds
ZYPP Patch Nr: 8543


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP1 java-1_4_2-ibm Released
SUSE Linux Enterprise SDK 11 SP2 java-1_4_2-ibm Released
SUSE Linux Enterprise Server 10 SP3 java-1_4_2-ibm Released
SUSE Linux Enterprise Server 10 SP4 java-1_4_2-ibm Released
SUSE Linux Enterprise Server 10 SP4 LTSS java-1_4_2-ibm Released
SUSE Linux Enterprise Server 11 SP1 java-1_4_2-ibm Released
SUSE Linux Enterprise Server 11 SP1 LTSS java-1_4_2-ibm Released
SUSE Linux Enterprise Server 11 SP2 java-1_4_2-ibm Released
SUSE Linux Enterprise Server 11 SP2 LTSS java-1_4_2-ibm Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 java-1_4_2-ibm Released
SUSE Linux Enterprise Server for VMWare 11 SP2 java-1_4_2-ibm Released